﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Drawing.Drawing2D;
using System.Linq;
using System.Text;
using HeuristicLab.Common;
using HeuristicLab.Core;
using HeuristicLab.Data;
using HeuristicLab.Optimization;
using HeuristicLab.Parameters;
using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;

namespace HeuristicLab.Analysis.FitnessLandscape.BoxCharts {

  public interface IBoxChartElementGenerator : INamedItem {
    int X { get; set; }
    int Y { get; set; }
    int ColSpan { get; set; }
    int RowSpan { get; set; }
    void Draw(IRun run, Graphics g);
  }
}
